<mat-card class="line">
  <img [src]='assetSrc' class="asset-img"/>
  <mat-card-content class="line-row">
    <div class="line-content">
      <div class="text">{{(text | translate) || text}}</div>
      <div class="select">
        <geodesign-select [(ngModel)]="selectedStop" (ngModelChange)="onSelectedStopChange($event)" [options]="stopOptionList"></geodesign-select>
      </div>
    </div>
    <div class="buttons">
      <button (click)="handleShow()" [disabled]="!enbableShow && !show" mat-button>{{(show ? 'FORM.HIDE' : 'FORM.DISPLAY') | translate}}</button>
      <button (click)="handleGenerate()" [disabled]="lastGeneratedStop === selectedStop" mat-button>{{'FORM.GENERATE' | translate}}</button>
    </div>
  </mat-card-content>
</mat-card>
